Name: kwaveview
Version: 1.1.4
Release: alt0.5

Summary: A realtime scope and spectrum analyzer
Group: Sound
License: GPL
Url: http://www.suse.de/~mana/kalsatools.html

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/%name-%version.tar.bz2
#Source1: %name-48x48.xpm
#Source2: %name-32x32.xpm
#Source3: %name-16x16.xpm

# Automatically added by buildreq on Tue Mar 18 2003
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ libXft libalsa2-devel libexpat libfftw-devel libjpeg liblcms libmng libqt3-devel libstdc++-devel

%description
KWaveView, a realtime scope and spectrum analyzer. KWaveView captures
sound from "Line In"  or "Mic In" and displays the sound waves in the
time domain and Fourier domain.

%define qtdir %_libdir/qt3

%prep
%setup -q
find -type f -print0 |xargs -r0 %__subst 's,sys/\(asoundlib.h\),alsa/\1,' --
find -type f -print0 |xargs -r0 %__subst 's,^[[:blank:]]*$,,g' --
%__subst 's,\(^CXXFLAGS.*\),\1 \$(RPM_OPT_FLAGS),' make_%name 

%build
%make_build QT_LIB_DIR=-L%qtdir/lib -f make_%name 

%install
%__install -pD %name %buildroot%_bindir/%name

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/Sound" \
title="KWaveView" longtitle="A realtime scope and spectrum analyzer" \
command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot/%_menudir/%name

# icons
#%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
#%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
#%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
#%_iconsdir/*.xpm
#%_iconsdir/*/*/*.xpm
%_menudir/%name
%doc README THANKS

%changelog
* Tue Mar 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.4-alt0.5
- First build for Sisyphus.

